Bug 1759400 - [4.2][proxy] no proxy is set for kube-controller-manager.
Summary: [4.2][proxy] no proxy is set for kube-controller-manager.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-controller-manager
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.2.z
Assignee: Maciej Szulik
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On: 1753467
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-08 03:04 UTC by Johnny Liu
Modified: 2019-11-13 18:55 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1753467
Environment:
Last Closed: 2019-11-13 18:55:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-kube-controller-manager-operator pull 286 0 'None' closed Bug 1759400: add non-MITM proxy support 2020-06-01 13:59:42 UTC
Red Hat Product Errata RHBA-2019:3303 0 None None None 2019-11-13 18:55:59 UTC

Comment 3 Maciej Szulik 2019-10-10 16:58:57 UTC
Fix will land in https://github.com/openshift/cluster-kube-controller-manager-operator/pull/286

Comment 5 Johnny Liu 2019-11-05 08:52:20 UTC
Verified this bug with 4.2.0-0.nightly-2019-11-04-231442, and PASS.

# oc get pod -n openshift-kube-controller-manager kube-controller-manager-ip-10-0-58-55.us-east-2.compute.internal -o yaml|grep -i proxy -A 1
    - name: HTTPS_PROXY
      value: http://ec2-3-15-239-214.us-east-2.compute.amazonaws.com:3128
    - name: HTTP_PROXY
      value: http://ec2-3-15-239-214.us-east-2.compute.amazonaws.com:3128
    - name: NO_PROXY
      value: .cluster.local,.svc,.us-east-2.compute.internal,10.0.0.0/16,10.128.0.0/14,127.0.0.1,169.254.169.254,172.30.0.0/16,api-int.jialiu42aws.qe.devcluster.openshift.com,etcd-0.jialiu42aws.qe.devcluster.openshift.com,etcd-1.jialiu42aws.qe.devcluster.openshift.com,etcd-2.jialiu42aws.qe.devcluster.openshift.com,localhost,test.no-proxy.com
    image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:14ca7c0170c0e2bedc1ebf9939ce138d2c7c4a696b707f1741aa7a4a25028a4b
--
    - name: HTTPS_PROXY
      value: http://ec2-3-15-239-214.us-east-2.compute.amazonaws.com:3128
    - name: HTTP_PROXY
      value: http://ec2-3-15-239-214.us-east-2.compute.amazonaws.com:3128
    - name: NO_PROXY
      value: .cluster.local,.svc,.us-east-2.compute.internal,10.0.0.0/16,10.128.0.0/14,127.0.0.1,169.254.169.254,172.30.0.0/16,api-int.jialiu42aws.qe.devcluster.openshift.com,etcd-0.jialiu42aws.qe.devcluster.openshift.com,etcd-1.jialiu42aws.qe.devcluster.openshift.com,etcd-2.jialiu42aws.qe.devcluster.openshift.com,localhost,test.no-proxy.com
    image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:e330298aade38f0dbf3cbf341d011b75581c317540a69fa7f8a4dbbed37c7aca

Comment 7 errata-xmlrpc 2019-11-13 18:55:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:3303


Note You need to log in before you can comment on or make changes to this bug.